VectorLinux
April 24, 2014, 11:35:03 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: 1 ... 8 9 [10] 11 12 ... 21
  Print  
Author Topic: VectorLinux 7.1 official beta (almost)  (Read 21550 times)
nightflier
Administrator
Vectorian
*****
Posts: 3942



« Reply #135 on: November 16, 2013, 10:39:32 am »

@sledgehammer:

On my B0.51 32-bit, I had to install avahi before cups would start, you may want to check that.
Logged
sledgehammer
Vectorian
****
Posts: 1397



« Reply #136 on: November 16, 2013, 11:17:07 pm »

Nightflier,

Thanks for the suggestion.  Sadly, avahi was already loaded.  I suspect it comes stock with 7.1 as I don't think I loaded it special.

Logged

VL7.0 xfce4 Samsung RF511
nightflier
Administrator
Vectorian
*****
Posts: 3942



« Reply #137 on: November 17, 2013, 04:53:23 am »

Do you get any error messages if you, as root, run "/etc/rc.d/init.d/cups start" ?
Logged
nightflier
Administrator
Vectorian
*****
Posts: 3942



« Reply #138 on: November 17, 2013, 06:47:24 am »

B0.51 32-bit, installed without XFCE4:

Replaced network-manager with wicd. Looks like our package is affected by this bug:
https://bugs.launchpad.net/wicd/+bug/993912

I applied the suggested hack to get it working:
Code:
/user/share/wicd/daemon/wicd-daemon.py:1067
change:
prop = misc.sanitize_config(prop)
to:
prop = misc.sanitize_config(str(prop))
Logged
sledgehammer
Vectorian
****
Posts: 1397



« Reply #139 on: November 17, 2013, 02:26:09 pm »

Nightflier,

Srvset in vasm legacy shows cups running in user level 4

running cupsweb brings up a "cups is not running, launch it shall we?"

Saying "no" goes back to menu.

Saying "yes" brings up (Paraphrasing) "Sorry, cannot launch cups.  Check your installation"

Running your suggestion as root produces the following:

Quote
vector://home/nicole
root:# /etc/rc.d/init.d/cups start
cups: started scheduler.                                   [  OK  ]
vector://home/nicole



Logged

VL7.0 xfce4 Samsung RF511
hata_ph
Packager
Vectorian
****
Posts: 3212


-- Just being myself --


« Reply #140 on: November 17, 2013, 05:35:36 pm »

B0.51 32-bit, installed without XFCE4:

Replaced network-manager with wicd. Looks like our package is affected by this bug:
https://bugs.launchpad.net/wicd/+bug/993912

I applied the suggested hack to get it working:
Code:
/user/share/wicd/daemon/wicd-daemon.py:1067
change:
prop = misc.sanitize_config(prop)
to:
prop = misc.sanitize_config(str(prop))


Rebuild wicd with the patch...pls try it at the untested repo...
Logged
nightflier
Administrator
Vectorian
*****
Posts: 3942



« Reply #141 on: November 17, 2013, 05:48:01 pm »

cups: started scheduler.                                   [  OK  ]

In that case, you should be able to open your browser and go to http://localhost:631/ for cups administration. Of course, it should run automatically on start, but that would be the next thing to look into.
Logged
nightflier
Administrator
Vectorian
*****
Posts: 3942



« Reply #142 on: November 17, 2013, 06:03:08 pm »

Rebuild wicd with the patch...pls try it at the untested repo...

Uninstalled old pkg, manually removed all leftover files, installed your new pkg from untested. Works well so far.  Smiley  Will test it further on other machines. Thanks!
Logged
sledgehammer
Vectorian
****
Posts: 1397



« Reply #143 on: November 18, 2013, 07:28:14 pm »

Thanks Nightflier.

It (http://localhost:631) worked, sort of.  I could install printers.  However, they did not install properly.  Our hp laserjet 6mp installed as a different hp printer. Print test page produced garbage.  And the big xerox copier (accessed via wireless), using the ppm which worked with 7.0, would just print an error code.   

I think I jumped the gun here a bit so I am going to let her try something else for a while.
Logged

VL7.0 xfce4 Samsung RF511
Colonel Panic
Vectorian
****
Posts: 526


« Reply #144 on: November 20, 2013, 12:27:02 am »

I've installed  beta 0.51 (32-bit) and although it's working well I was slightly disappointed to see that VL-Quickpicks wasn't in it. Has it been taken out of Vector for good now, or is it just a temporary change?
Logged
overthere
Vectorian
****
Posts: 1224



« Reply #145 on: November 22, 2013, 02:55:58 pm »

BO50 32bit

fluxbox, thunar has no icons

added the following to .gtkrc-2.0 mine:

 gtk-icon-theme-name="Faenza-Cupertino"

edit: this of course only works for the user account
« Last Edit: November 23, 2013, 10:28:39 am by overthere » Logged

Everything Is Relative
sledgehammer
Vectorian
****
Posts: 1397



« Reply #146 on: November 25, 2013, 10:36:49 pm »

Quote

It (http://localhost:631) worked, sort of. 

For what its worth, switching to 7.0 did not solve the problem with the HP printers. In fact it may have made things worse as nothing happens when printing from libreoffice writer....Test page from Cups (localhost:631) prints fine but it blows up when trying to access Cups through vasm.  However it (switching to 7.0) did solve the problem with wireless printing to the big Xerox copier. I supply my own ppd for that new very fast xerox printer as it does not show on the cups HP menu. 

I have a linux expert coming in the office tomorrow to see what he can do about the HP laserjets and will report if anything interesting comes of it.
Logged

VL7.0 xfce4 Samsung RF511
sledgehammer
Vectorian
****
Posts: 1397



« Reply #147 on: November 26, 2013, 10:22:29 am »

Well, the expert has come and gone and the HP printer works just fine on 7.0.  What did he do?  He tells me he downgraded cups to the next to the last version, and deleted cups development, all in gslapt. 

John
« Last Edit: November 26, 2013, 10:24:08 am by sledgehammer » Logged

VL7.0 xfce4 Samsung RF511
M0E-lnx
Administrator
Vectorian
*****
Posts: 3134



« Reply #148 on: November 26, 2013, 10:45:35 am »

I wouldn't think 7.0 has the latest cups available.
Also, what about hplip?

Sorry i'm late to this party, but this thread was hiding for me. 
Logged

sledgehammer
Vectorian
****
Posts: 1397



« Reply #149 on: November 26, 2013, 11:07:15 am »

I don't see an "hplip" on VL 7.0, except in vasm/cups (add new printers) and I don't know what to put in the blanks after going past the first screen.
Logged

VL7.0 xfce4 Samsung RF511
Pages: 1 ... 8 9 [10] 11 12 ... 21
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!